Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.jca.system.mbeans
Class STCActivationSpecMonitor

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
              com.stc.connector.management.jca.system.mbeans.STCActivationSpecMonitor

All Implemented Interfaces:
  javax.management.DynamicMBean, java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, STCActivationSpecMonitorBean

public class STCActivationSpecMonitor
extends BaseMonitorMBean
implements STCActivationSpecMonitorBean, javax.management.MBeanRegistration, javax.management.NotificationListener

Field Summary

Fields inherited from class com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
`mAttributesInfo, mConstructorsInfo, mMBeanInfo, mNotificationsInfo, mOperationsInfo`

Constructor Summary
`STCActivationSpecMonitor()` Constructor

Method Summary
`protected void` | `buildDynamicMBeanInfo()` Build the protected MBeanInfo field, which represents the management interface exposed by the MBean; i.e., the set of attributes, constructors, operations and notifications which are available for management.
`void` | `disable()`
`void` | `enable()`
`java.lang.String` | `getActivatedTime()` Activated time
`java.lang.String` | `getActivationSpecDescription()` Getter for this activation spec's description
`java.lang.String` | `getActivationSpecName()` Getter for this activation spec's name
`java.lang.Object` | `getAttribute(java.lang.String aName)`
`javax.management.AttributeList` | `getAttributes(java.lang.String[] aNames)` Retrieves the value of specified attributes of the Dynamic MBean
`java.lang.String` | `getName()` Getter for this MBean's name
`javax.resource.spi.ResourceAdapter` | `getResourceAdapter()` Getter for resource adapter class object associated with this activation
`java.lang.String` | `getShutdownTime()` Shutdown time
`java.lang.Integer` | `getStatus()` Status string
`void` | `handleNotification(javax.management.Notification aNotification, java.lang.Object obj)`
`java.lang.Object` | `invoke(java.lang.String operationName, java.lang.Object[] params, java.lang.String[] signature)` Invokes an operation on the Dynamic MBean.
`java.lang.Boolean` | `isEnabled()`
`java.lang.Boolean` | `isSuspended()`
`void` | `postRegister(java.lang.Boolean registrationDone)` `MBeanRegistration` implementation method
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer aServer, javax.management.ObjectName aName)` `MBeanRegistration` implementation method
`void` | `resume()`
`void` | `sendAlert()`
`void` | `sendAlert(com.stc.eventmanagement.Event event)`
`void` | `sendAlert(java.lang.String alertMsg, int severity)`
`void` | `sendAlert(java.lang.String alertMsgCode, java.lang.String[] alertMsgCodeArgs, java.lang.String alertMsg, int severity)`
`void` | `sendAlert(java.lang.String projectName, java.lang.String collabName, java.lang.String componentName, java.lang.String alertMsgCode, java.lang.String[] alertMsgCodeArgs, java.lang.String alertMsg, int severity)`
`void` | `setActivatedTime(java.lang.String activatedTime)` Setter for Activated time
`void` | `setActivationSpecDescription(java.lang.String asdescription)` Setter for this activation spec's description
`void` | `setActivationSpecName(java.lang.String asname)` Setter for this activation spec's name
`void` | `setName(java.lang.String name)` Setter for this MBean's name Parse the name and save subparts in HashMap
`void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter raObj)` Setter for resource adapter class object associated with this activation
`void` | `setShutdownTime(java.lang.String shutdownTime)` Setter for shutdown time
`void` | `setStatus(java.lang.Integer status)` Setter for status string
`void` | `suspend()`

Methods inherited from class com.stc.connector.management.jca.system.mbeans.BaseMonitorMBean
`addNotificationListener, buildDefaultDynamicMBeanInfo, getMBeanInfo, postDeregister, preDeregister, removeNotificationListener, sendNotification, setAttribute, setAttributes`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`getNotificationInfo, handleNotification, removeNotificationListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, preDeregister`

Constructor Detail

### STCActivationSpecMonitor

    public STCActivationSpecMonitor()
                             throws java.lang.Exception

  Constructor

Method Detail

### buildDynamicMBeanInfo

    protected void buildDynamicMBeanInfo()

  Build the protected MBeanInfo field, which represents the management interface exposed by the MBean; i.e., the set of attributes, constructors, operations and notifications which are available for management. A reference to the MBeanInfo object is returned by the getMBeanInfo() method of the DynamicMBean interface. Note that, once constructed, an MBeanInfo object is immutable.

  Overrides:
    `buildDynamicMBeanInfo` in class `BaseMonitorMBean`

### invoke

    public java.lang.Object invoke(java.lang.String operationName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signature)
                            throws javax.management.MBeanException,
                                   javax.management.ReflectionException

  Description copied from class: `BaseMonitorMBean`
  Invokes an operation on the Dynamic MBean.

  Specified by:
    `invoke` in interface `javax.management.DynamicMBean`
  Overrides:
    `invoke` in class `BaseMonitorMBean`
  Parameters:
    `operationName` - The name of the action to be invoked
    `params` - An array containing the parameters to be set when the action is invoked
    `signature` - An array containing the aSignature of the action. The class objects will be loaded through the same class loader as the one used for loading the MBean on which the action is invoked.
  Returns:
    The object returned by the action, which represents the result of invoking the action on the MBean specified
  Throws:
    `javax.management.ReflectionException` - ReflectionException
    `javax.management.MBeanException` - MBeanException

### getAttributes

    public javax.management.AttributeList getAttributes(java.lang.String[] aNames)

  Description copied from class: `BaseMonitorMBean`
  Retrieves the value of specified attributes of the Dynamic MBean

  Specified by:
    `getAttributes` in interface `javax.management.DynamicMBean`
  Overrides:
    `getAttributes` in class `BaseMonitorMBean`
  Parameters:
    `aNames` - aNames of the attributes
  Returns:
    AttributeList list of attribute aNames and values

### getAttribute

    public java.lang.Object getAttribute(java.lang.String aName)
                                  throws javax.management.AttributeNotFoundException,
                                         javax.management.MBeanException,
                                         javax.management.ReflectionException

  Specified by:
    `getAttribute` in interface `javax.management.DynamicMBean`
  Overrides:
    `getAttribute` in class `BaseMonitorMBean`
  Throws:
    `javax.management.AttributeNotFoundException`
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### handleNotification

    public void handleNotification(javax.management.Notification aNotification,
                                   java.lang.Object obj)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### setResourceAdapter

    public void setResourceAdapter(javax.resource.spi.ResourceAdapter raObj)

  Setter for resource adapter class object associated with this activation

### getResourceAdapter

    public javax.resource.spi.ResourceAdapter getResourceAdapter()

  Getter for resource adapter class object associated with this activation

### sendAlert

    public void sendAlert(java.lang.String projectName,
                          java.lang.String collabName,
                          java.lang.String componentName,
                          java.lang.String alertMsgCode,
                          java.lang.String[] alertMsgCodeArgs,
                          java.lang.String alertMsg,
                          int severity)

### sendAlert

    public void sendAlert(java.lang.String alertMsgCode,
                          java.lang.String[] alertMsgCodeArgs,
                          java.lang.String alertMsg,
                          int severity)

  Specified by:
    `sendAlert` in interface `STCActivationSpecMonitorBean`

### sendAlert

    public void sendAlert(java.lang.String alertMsg,
                          int severity)

  Specified by:
    `sendAlert` in interface `STCActivationSpecMonitorBean`

### sendAlert

    public void sendAlert()

  Specified by:
    `sendAlert` in interface `STCActivationSpecMonitorBean`

### sendAlert

    public void sendAlert(com.stc.eventmanagement.Event event)

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer aServer,
                                                   javax.management.ObjectName aName)

  `MBeanRegistration` implementation method

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `preRegister` in class `BaseMonitorMBean`
  Parameters:
    `aServer` - `MBeanServer`
    `aName` - MBean's `ObjectName`
  Returns:
    MBean's `ObjectName`
  Throws:
    `java.lang.Exception` - This exception should be caught by the MBean server and re-thrown as an `MBeanRegistrationException`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  `MBeanRegistration` implementation method

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`
  Overrides:
    `postRegister` in class `BaseMonitorMBean`
  Parameters:
    `registrationDone` - Indicates whether or not the MBean has been successfully registered in the MBean server. The value false means that the registration phase has failed

### enable

    public void enable()

  Specified by:
    `enable` in interface `STCActivationSpecMonitorBean`

### disable

    public void disable()

  Specified by:
    `disable` in interface `STCActivationSpecMonitorBean`

### isEnabled

    public java.lang.Boolean isEnabled()

  Specified by:
    `isEnabled` in interface `STCActivationSpecMonitorBean`

### suspend

    public void suspend()

  Specified by:
    `suspend` in interface `STCActivationSpecMonitorBean`

### resume

    public void resume()

  Specified by:
    `resume` in interface `STCActivationSpecMonitorBean`

### isSuspended

    public java.lang.Boolean isSuspended()

  Specified by:
    `isSuspended` in interface `STCActivationSpecMonitorBean`

### getActivatedTime

    public java.lang.String getActivatedTime()

  Activated time

  Specified by:
    `getActivatedTime` in interface `STCActivationSpecMonitorBean`

### setActivatedTime

    public void setActivatedTime(java.lang.String activatedTime)

  Setter for Activated time

  Specified by:
    `setActivatedTime` in interface `STCActivationSpecMonitorBean`

### getShutdownTime

    public java.lang.String getShutdownTime()

  Shutdown time

  Specified by:
    `getShutdownTime` in interface `STCActivationSpecMonitorBean`

### setShutdownTime

    public void setShutdownTime(java.lang.String shutdownTime)

  Setter for shutdown time

  Specified by:
    `setShutdownTime` in interface `STCActivationSpecMonitorBean`

### setName

    public void setName(java.lang.String name)

  Setter for this MBean's name Parse the name and save subparts in HashMap

  Specified by:
    `setName` in interface `STCActivationSpecMonitorBean`
  Parameters:
    `name` - MBean name used to register this MBean

### getName

    public java.lang.String getName()

  Getter for this MBean's name

  Specified by:
    `getName` in interface `STCActivationSpecMonitorBean`
  Returns:
    MBean name used to register this MBean

### setActivationSpecName

    public void setActivationSpecName(java.lang.String asname)

  Setter for this activation spec's name

  Specified by:
    `setActivationSpecName` in interface `STCActivationSpecMonitorBean`

### getActivationSpecName

    public java.lang.String getActivationSpecName()

  Getter for this activation spec's name

  Specified by:
    `getActivationSpecName` in interface `STCActivationSpecMonitorBean`
  Returns:
    activation spec name

### setActivationSpecDescription

    public void setActivationSpecDescription(java.lang.String asdescription)

  Setter for this activation spec's description

  Specified by:
    `setActivationSpecDescription` in interface `STCActivationSpecMonitorBean`

### getActivationSpecDescription

    public java.lang.String getActivationSpecDescription()

  Getter for this activation spec's description

  Specified by:
    `getActivationSpecDescription` in interface `STCActivationSpecMonitorBean`
  Returns:
    activation spec description

### getStatus

    public java.lang.Integer getStatus()

  Status string

  Specified by:
    `getStatus` in interface `STCActivationSpecMonitorBean`

### setStatus

    public void setStatus(java.lang.Integer status)

  Setter for status string

  Specified by:
    `setStatus` in interface `STCActivationSpecMonitorBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD